Bug 123798 - home/end keys don't work in some console apps with gnome-terminal
home/end keys don't work in some console apps with gnome-terminal
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 12:43 EDT by Chris Petersen
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 17:03:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2004-05-20 12:43:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.14

Description of problem:
Fresh install of FC2, running in gnome, I invoke gnome-terminal and
get $TERM set to xterm.  There is a known (well, oft-mentioned) bug
that this prevents the keypad +-*/ symbols from working, so I then set
TERM=linux (should really look into making this a permanent fix). 
This fixes the keypad issue in FC1 and FC2, but FC2 has a new problem.
 The home/end keys don't do what they're supposed to in certain apps.
 They work as they should when interacting directly with bash, but
when I invoke vi or nano (all I've tested so far), home prints an H
and end prints an F.  I've tried an assortment of TERM settings with
no luck.  xterm and konsole both work fine.

Version-Release number of selected component (if applicable):
gnome-terminal-2.6.0-2

How reproducible:
Always

Steps to Reproduce:
use gnome, open gnome terminal, invoke vi or nano, press the home or
end keys

Actual Results:  home produces an H, end produces an F

Expected Results:  home/end should work as they're supposed to in the
app - look at xterm or konsole for working results.
Comment 1 Chris Petersen 2004-05-21 12:48:27 EDT
A little more research...  After poking around on the gnome-terminal
bugzilla, I've found mention of this problem dating back to 2001. 
Apparently, gnome-terminal is now sending \EOH for "home" and \EOF for
"end" instead of \E[1~ (home) and \E[4~ (end) like it does in FC1.  I
assume this can be fixed easily enough by modifications to termcap. 
As far as I can tell, it's a distro-specific issue.
Comment 2 Sitsofe Wheeler 2004-05-22 07:00:12 EDT
This bug looks to be related to bug 121922
Comment 3 Matthew Miller 2005-04-26 12:39:46 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Chris Petersen 2005-04-26 12:57:28 EDT
it's also related to <a
href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=126110">bug 126110</a>

someone should probably merge these all together if they are indeed related.
Comment 5 Matthew Miller 2006-07-10 19:42:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 6 John Thacker 2006-10-29 17:03:22 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  Please install
a still supported version and retest.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.  Otherwise, if this a security
issue, please change the product to Fedora Legacy.  Thanks, and we are sorry
that we did not get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.